# Context

In 2023 the KNMI conducted an R&D sprint in which a multidisciplinary team formed by scientists and technologists created a new dataset modelling European heatwaves. Using E-OBS daily maximum temperature we carry out an event synchronization analysis which is subsequently followed by a modelling phase using complex networks. Complex networks are methods capable of understanding the relationship between pairs of nodes in a network, in our case, different geographic regions across Europe. The analysis produced a set of daily NetCDF files for the summer period 1990-2020 containing five network coefficients. These coefficients might be used to calculate propagation characteristics of heatwaves. We release this first sample of data to the general public, so that new research efforts can stem from this dataset. Note that this sample dataset is release for research purposes, not operations, and hence some problems might arise. If so, drop us a line at garciamarti [at] knmi.nl, and we can help.

### Contents of this data deposit

The data deposit contains a ZIP file six years (2003, 2007, 2010, 2012, 2014, 2018) of European heatwaves (summer season). For each year, the user will find raster files in NetCDF format, one per month and network coefficient. We provide five network coefficients: betweenness centrality (BC), clustering coefficient (CC), degree of centrality (DC), input degree (ID), and output degree (OD).

The naming of the files is: CN_Europe_0.25x0.25deg_[COEFFICIENT]_[START_DATE]_[END_DATE].nc. This indicates that each file shows the indicated coefficient for the European continent at a resolution of 0.25 degrees (i.e. roughly 25km). Each of these raster files contains one layer per day in a month.

### Notes

For a description of the complex network coefficients, we refer the reader to Python's NetworkX documentation: https://networkx.org/documentation/stable/reference/algorithms/index.html. This is the package that was used to carry out the modelling of European heatwaves with complex networks. 
